### Method

# Pango.GlyphString.extents

#### Declaration [src]

    void
    pango_glyph_string_extents (
      PangoGlyphString* glyphs,
      PangoFont* font,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Compute the logical and ink extents of a glyph string.

See the documentation for `pango_font_get_glyph_extents()` for details about the interpretation of the rectangles.

Examples of logical (red) and ink (green) rects:

#### Parameters

`font` | `PangoFont`
| a `PangoFont`
| Ownership is not transferred to the callee
`ink_rect` | `PangoRectangle`
| rectangle used to store the extents of the glyph string as drawn or `NULL` to indicate that the result is not needed.
| Direction: out
| Ownership is not transferred to the callee
`logical_rect` | `PangoRectangle`
| rectangle used to store the logical extents of the glyph string or `NULL` to indicate that the result is not needed.
| Direction: out
| Ownership is not transferred to the callee